Latest Posts

Topic: Kann kein Spiel starten

Dumbonator
Avatar
Joined: 2018-06-12, 17:39
Posts: 11
Ranking
Pry about Widelands
Location: Germany
Posted at: 2018-06-12, 20:37

und installiert habe ich es über die den packetmanagner


Top Quote
kaputtnik
Avatar
Joined: 2013-02-18, 20:48
Posts: 1503
Ranking
One Elder of Players
Location: Germany
Posted at: 2018-06-12, 20:45

Danke face-smile.png

Versuche mal widelands komplett zu deinstallieren und dann neu zu installieren.


Top Quote
Dumbonator
Avatar
Joined: 2018-06-12, 17:39
Posts: 11
Ranking
Pry about Widelands
Location: Germany
Posted at: 2018-06-12, 20:46

ok


Top Quote
Dumbonator
Avatar
Joined: 2018-06-12, 17:39
Posts: 11
Ranking
Pry about Widelands
Location: Germany
Posted at: 2018-06-12, 20:48

habe ich gemacht aber es passiert immer noch das gleiche und die fehlermeldung ist auch gleich

Edited: 2018-06-12, 20:48
Top Quote
Dumbonator
Avatar
Joined: 2018-06-12, 17:39
Posts: 11
Ranking
Pry about Widelands
Location: Germany
Posted at: 2018-06-12, 21:09

was sind die ppa ?


Top Quote
kaputtnik
Avatar
Joined: 2013-02-18, 20:48
Posts: 1503
Ranking
One Elder of Players
Location: Germany
Posted at: 2018-06-13, 08:52

Ich vermute das der Fehler nicht an widelands liegt, sondern an der verwendeten SDL version. Siehe diesen bug

Versuche mal von der Konsole mit der option --nosound zu starten:

widelands --nosound

Wenn's dann läuft, kannst Du je nach Ubuntu version evtll. das ältere Paket 'SDL' erwenden ('downgraden'). Wie das mit Ubuntu geht, habe ich allerdings vergessen face-upset.png


Top Quote
GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2611
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2018-06-22, 09:45

Du kannst es auch mit einer aktuellen Entwicklerversion probieren, da fangen wir den Fehler von SDL ab.

Dafür brauchst Du folgende Befehle:

sudo add-apt-repository ppa:widelands-dev/widelands-daily
sudo apt-get update
sudo apt-get install widelands

https://wl.widelands.org/wiki/Download/#ubuntu-recent-releases-and-derivatives-like-linux-mint-17

Die Spielstände von Build 19 können z.Zt. glauche ich auch noch geladen werden


Busy indexing nil values

Top Quote
WorldSavior
Avatar
Joined: 2016-10-15, 04:10
Posts: 792
Ranking
One Elder of Players
Posted at: 2018-06-24, 13:38

GunChleoc wrote:

Die Spielstände von Build 19 können z.Zt. glauche ich auch noch geladen werden

Das kann ich bestätigen... Sofern die Entwicklerversion diesbezüglich in den letzten Wochen nicht geändert wurde.


“It's a threat to our planet to believe that someone else will save it.” - Robert Swan

Top Quote
GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2611
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2018-06-25, 11:07

Wir werden es leider vor Build 20 nochmal kaputt machen müssen, aber den Branch mergen wir erst, wenn alle anderen Bugs repariert sind. Die Speicherverwaltung vom Economy Modul wird sich ändern, und da Kompatibilität hereinzuprogrammireren wäre ziemlich kompliziert.


Busy indexing nil values

Top Quote